Skip to main content

BasketOrder

Endpoint URL

This API Function Place Basket Orders to the Broker

Hosted URL   :  POST https://imc.layr0.org/api/v1/basketorder

Sample API Request

{
"apikey": "<your_app_apikey>",
"strategy": "your-strategy",
"orders": [
{
"symbol": "RELIANCE",
"exchange": "NSE",
"action": "BUY",
"quantity": "1",
"pricetype": "MARKET",
"product": "MIS"
},
{
"symbol": "INFY",
"exchange": "NSE",
"action": "SELL",
"quantity": "1",
"pricetype": "MARKET",
"product": "MIS"
}
]
}

Sample API Response

{
"results": [
{
"orderid": "24120900343250",
"status": "success",
"symbol": "INFY"
},
{
"orderid": "24120900343249",
"status": "success",
"symbol": "RELIANCE"
}
],
"status": "success"
}

Parameter Description

ParametersDescriptionMandatory/OptionalDefault Value
apikeyApp API keyMandatory-
strategyStrategy nameMandatory-
exchangeExchange codeMandatory-
symbolTrading symbolMandatory-
actionAction (BUY/SELL)Mandatory-
productProduct typeOptionalMIS
pricetypePrice typeOptionalMARKET
quantityQuantityMandatory-
pricePriceOptional0
trigger_priceTrigger priceOptional0
disclosed_quantityDisclosed quantityOptional0